import express from 'express';
import dotenv from 'dotenv';
import jobIngestionRoutes from './routes/jobIngestionRoutes';
import jobSearchRoutes from './routes/jobSearchRoutes';

dotenv.config();

const app = express();
const PORT = process.env.PORT || 3000;

app.use(express.json());

app.use(jobIngestionRoutes);
app.use(jobSearchRoutes);

app.listen(PORT, () => {
  console.log(`Server is running on port ${PORT}`);
});
